# Contribution guidelines

* Install/update the dependencies.
  `npm install`
* Make sure the code lints.
  `npm run lint`
* Make sure the tests succeed.
  `npm run test`
* Make sure the code coverage is enough.
  `npm run coverage`
* New features
  or changes to existing features
  must be documented in the [readme] file.
* Adhere to the coding conventions
  that are used elsewhere in the codebase.
* Add yourself to the [authors] file.
* Feel free to [open an issue][newissue] first,
  if the change is one that you think
  needs some discussion.
  I'm not precious
  about the [issue list][issues].

[readme]: https://github.com/jared-stilwell/complexity-report/blob/master/README.md
[authors]: https://github.com/jared-stilwell/complexity-report/blob/master/AUTHORS
[newissue]: https://github.com/jared-stilwell/complexity-report/issues/new
[issues]: https://github.com/jared-stilwell/complexity-report/issues
